#ifndef NAVIGATION_FLOAT_ITEM_H
#define NAVIGATION_FLOAT_ITEM_H

#include <QWidget>

namespace Ui
{
class Navigation;
}

class NavigationFloatItem: public QWidget
{
    Q_OBJECT
public:
    explicit NavigationFloatItem(QWidget* parent = nullptr);

protected:
    void paintEvent(QPaintEvent *event);

private:
    QPixmap pixmap( const QString &id );

private:
    Ui::Navigation *m_navigationWidget;

};


#endif // NAVIGATION_FLOAT_ITEM_H
